Subject: how to find all changes since last push?

From: layer <[email-masked]>
Date: Thu, 05 Feb 2009 09:29:08 -0800

I'm a git noob, and I'm trying to move my organization to it from CVS
(which we've used since 1991).  Currently stuck on this:

I think a natural style of development using git would be to do a
series of commits to my local repo and when things are stable, do a
push somewhere or collect all the changes into a patch.

I have googled and looked at documentation, but I cannot figure out
how to find all changes since my last push.  To make this more
complex, I'd like intervening pull's not to interfere with my ability
to find all changes since the last push.

Thanks.

Kevin